Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
Dwarf Fortress problems
View unanswered posts
View posts from last 24 hours

 
Reply to topic    Gentoo Forums Forum Index Gamers & Players
View previous topic :: View next topic  
Author Message
kaetahr
n00b
n00b


Joined: 14 Nov 2018
Posts: 6

PostPosted: Tue Mar 12, 2019 1:32 am    Post subject: Dwarf Fortress problems Reply with quote

I have problems trying to start Dwarf Fortress and I am unsure on how to diagnose this problem. When attempting to start the game, it outpus:
Code:
Sound devices available:
OpenAL Soft
Picking OpenAL Soft. If your desired device was missing, make sure you have the appropriate 32-bit libraries installed. If you wanted a different device, configure ~/.openalrc appropriately.
Perfect OpenAL context attributes GET
Loading bindings from data/init/interface.txt
Segmentation fault


Not sure if anyone else who installed the game from the official repos is having this problem.
Back to top
View user's profile Send private message
kaetahr
n00b
n00b


Joined: 14 Nov 2018
Posts: 6

PostPosted: Tue Mar 12, 2019 3:08 am    Post subject: Reply with quote

As for the binary version, it seems I am missing a library, although I am not sure which package includes the libray it need.
The binary downloaded from the website outputs

Code:
./libs/Dwarf_Fortress: /home/HOME/Games/df_linux/libs/libstdc++.so.6: version `CXXABI_1.3.8' not found (required by /usr/lib64/libGLU.so.1)
./libs/Dwarf_Fortress: /home/HOME/Games/df_linux/libs/libstdc++.so.6: version `CXXABI_1.3.9' not found (required by /usr/lib64/libGLU.so.1)


I tried installing botht the virtual and the sys-libs package from the repos with the multilib flag, but I have had no success. Do I need to install a particular version of any of these packages?
Back to top
View user's profile Send private message
icaruslnx
n00b
n00b


Joined: 14 Apr 2009
Posts: 10

PostPosted: Tue Mar 12, 2019 12:57 pm    Post subject: Reply with quote

The game uses old libraries, delete df_linux/libs/libstdc++.so.6 and it should force the game to use the system libs

http://www.bay12games.com/dwarves/mantisbt/view.php?id=9893
Back to top
View user's profile Send private message
kaetahr
n00b
n00b


Joined: 14 Nov 2018
Posts: 6

PostPosted: Tue Mar 12, 2019 5:50 pm    Post subject: Reply with quote

icaruslnx wrote:
The game uses old libraries, delete df_linux/libs/libstdc++.so.6 and it should force the game to use the system libs

http://www.bay12games.com/dwarves/mantisbt/view.php?id=9893


Thanks! this worked for the binary package.
There is still something wrong with the upstream package though, hope that gets fixed.
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Gamers & Players All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum